extends Node

const FILE_NAME = "user://config.ini"

@onready var content: ConfigFile = ConfigFile.new()

var show_tutorial: bool:
	set(new_value):
		content.set_value("general", "show_tutorial", new_value)
	get:
		return content.get_value("general", "show_tutorial", true)

func _ready() -> void:
	content.load("user://config.ini")
	
func save() -> void:
	content.save(FILE_NAME)
